dnl AM_PATH_GUILEOBJC
dnl find include path and libs for guile, objc, and guileobjc

AC_DEFUN(AM_PATH_GUILEOBJC,
[dnl
  AC_PATH_PROG(GOCONFIG, goconfig, no)
  if test "$GOCONFIG" = no; then
    AC_MSG_ERROR(guileobjc is not installed)
  fi
  GUILEOBJC_INC=`$GOCONFIG --cflags`
  GUILEOBJC_LIBS=`$GOCONFIG --libs`
  scmdir=`$GOCONFIG --scmdir`
  AC_SUBST(GUILEOBJC_INC)
  AC_SUBST(GUILEOBJC_LIBS)
  AC_SUBST(scmdir)
])



